Below is the list of changes that have just been commited into a local
3.23. repository of sasha. When sasha does a push, they will be
propogaged to the main repository and within 24 hours after the push into
the public repository. For information on how to access
the public repository see
http://www.mysql.com/doc/I/n/Installing_source_tree.html
ChangeSet@stripped, 2001-12-01 19:37:30-07:00, sasha@stripped
get correct paths in mysql_config even if the user moves basedir
scripts/mysql_config.sh
1.4 01/12/01 19:37:29 sasha@stripped +39 -0
get correct paths even if the user moves basedir
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: sasha
# Host: mysql.sashanet.com
# Root: /reiser-data/mysql
--- 1.3/scripts/mysql_config.sh Sun May 27 17:45:17 2001
+++ 1.4/scripts/mysql_config.sh Sat Dec 1 19:37:29 2001
@@ -18,11 +18,50 @@
# This script reports various configuration settings that may be needed
# when using the MySQL client library.
+which ()
+{
+ IFS="${IFS= }"; save_ifs="$IFS"; IFS=':'
+ for file
+ do
+ for dir in $PATH
+ do
+ if test -f $dir/$file
+ then
+ echo "$dir/$file"
+ continue 2
+ fi
+ done
+ echo "which: no $file in ($PATH)"
+ exit 1
+ done
+ IFS="$save_ifs"
+}
+
+fix_path ()
+{
+ eval path=\$"$1"
+ if [ ! -f "$path" ] ;
+ then
+ eval "$1"=$basedir/$2
+ fi
+}
+
+abs_path=`expr \( substr $0 1 1 \) = '/'`
+if [ "x$abs_path" = "x1" ] ; then
+ me=$0
+else
+ me=`which mysql_config`
+fi
+
+basedir=`echo $me | sed -e 's;/bin/mysql_config;;'`
+
ldata='@localstatedir@'
execdir='@libexecdir@'
bindir='@bindir@'
pkglibdir='@pkglibdir@'
+fix_path pkglibdir lib/mysql
pkgincludedir='@pkgincludedir@'
+fix_path pkgincludedir include/mysql
version='@VERSION@'
socket='@MYSQL_UNIX_ADDR@'
port='@MYSQL_TCP_PORT@'
| Thread |
|---|
| • bk commit into 3.23 tree | sasha | 2 Dec |